net.minecraftforge.event.world

## Class BlockEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.world.BlockEvent

- Direct Known Subclasses:
    BlockEvent.BreakEvent, BlockEvent.HarvestDropsEvent

      public class BlockEvent
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BlockEvent.BreakEvent` Event that is fired when an Block is about to be broken by a player Canceling this event will prevent the Block from being broken.
    `static class` | `BlockEvent.HarvestDropsEvent` Fired when a block is about to drop it's harvested items.

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Block` | `block`
    `int` | `blockMetadata`
    `World` | `world`
    `int` | `x`
    `int` | `y`
    `int` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockEvent(int x, int y, int z, World world, Block block, int blockMetadata)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public final int x

    - #### y

          public final int y

    - #### z

          public final int z

    - #### world

          public final World world

    - #### block

          public final Block block

    - #### blockMetadata

          public final int blockMetadata

  - ### Constructor Detail

    - #### BlockEvent

          public BlockEvent(int x,
                    int y,
                    int z,
                    World world,
                    Block block,
                    int blockMetadata)